Tracker Front End
/payment-transactions/{UETR}Authorization
oauthBearerToken The access token obtained as a result of OAuth 2.0 flows. SWIFT supports two OAuth grant types depending on the API service.
- JWT-Bearer grant type RFC 7523
- Password grant type
This API uses password grant type.
Please visit SWIFT OAuth Token API page for more information and examples on how to generate an OAuth token.
In this declaration only the basic security element to transport the bearer token of an OAuth2 process is declared.
In: header
Path Parameters
Identifies the payment transaction resource, events linked to this UETR will be retrieved
^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"UETR": "00f4be35-76f2-45c8-b4b3-565bbac5e86b",
"transaction_status": "ACCC",
"transaction_status_description": "Payment credited to beneficiary bank",
"transaction_initiation_date_time": "2025-05-23T10:00:40Z",
"transaction_last_update_date_time": "2025-05-23T10:05:40Z",
"transaction_completion_date_time": "2025-05-23T10:05:40Z",
"transaction_routing": [
{
"from": "BANKBEBICXX",
"to": "BANKUSBICXX"
},
{
"from": "BANKUSBICXX",
"to": "BANKFRBICXX"
}
],
"transaction_instructed_amount": {
"currency": "USD",
"amount": "100000"
},
"transaction_confirmed_amount": {
"currency": "USD",
"amount": "99550"
}
}{
"severity": "Fatal",
"code": "Sw.gpi.InvalidRequest",
"text": "Invalid request"
}{
"severity": "Fatal",
"code": "Sw.gpi.FromAuthorizationFailure",
"text": "From %From does not have the appropriate RBAC role"
}{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}{
"severity": "Transient",
"code": "Sw.gpi.NoResultFound",
"text": "No result found"
}{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}{
"severity": "Transient",
"code": "SwAP507",
"text": "Request cannot be processed at this time. Please try later. (header Retry-After indicates how long to wait before making a follow-up request)."
}{
"severity": "Transient",
"code": "Sw.gpi.InternalError",
"text": "Internal error"
}{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}{
"severity": "Transient",
"code": "Sw.gpi.InternalError",
"text": "Internal error"
}Verification of a creditor/beneficiary account. POST
API resource that allows users to verify an account’s existence (identity and status), ownership and type. The verification is completely independent from any payment scheme or payment initiation. The requesting entity is the data consumer which can be a Debtor Agent, a Creditor Agent or a Financial Institution. The responding entity is the data provider which can be a Creditor Agent, a Debtor Agent, or a third party account/name check provider. Usage guideline for Swift Payment Pre-validation: The requesting entity is the data consumer which can only be a Debtor Agent, a Creditor Agent, or a financial institution. Synonym - Creditor: Payee - Debtor: Payer These are the subsets of the ISO 20022 Verification Of Party resources, as used by the SWIFT Beneficiary Account Verification service.
Network Interoperability Status Request PUT
This API is a payment status request used by Payment Market Infrastructures (PMIs) and Financial Institutions (FIs) including Payment Service Providers (PSPs) to provide on-behalf updates to the tracker.